%global plugin_name cloudbees-folder

Summary:    Organize Jenkins jobs in hierarchical folders
Name:       jenkins-plugin-%{plugin_name}
Version:    5.17
Release:    1%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/CloudBees+Folders+Plugin
# AltURL:   https://github.com/jenkinsci/cloudbees-folder-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins-plugin-credentials
Requires:   jenkins >= 1.609.1

%description
The Folders plugin allows you to organize jobs in 
hierarchical folders much like how you organize 
files in directories in your file system.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Mon Feb 06 2017 Troy Dawson <tdawson@redhat.com> - 5.17-1
- Update to 5.17

* Mon Nov 21 2016 Troy Dawson <tdawson@redhat.com> - 5.13-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 5.11-1
- Initial package
